
package de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis;

import de.ivu.document.generator.template.annotations.DocumentSimpleField;
import de.ivu.elect.business.niederschrift.entity.NiederschriftKorrektur;
import de.ivu.elect.dokumente.BaseElectContext;

public class NiederschriftenKorrekturDocument {

  @DocumentSimpleField("Beschreibung")
  public final String beschreibung;

  @DocumentSimpleField("Erfasser")
  public final String erfasser;

  @DocumentSimpleField("Art")
  public final String art;

  @DocumentSimpleField("IstRechnerischeKorrektur")
  public final boolean isRechnerischeKorrektur;

  @DocumentSimpleField("IstNachzählung")
  public final boolean isNachzaehlung;

  @DocumentSimpleField("Zeitpunkt")
  public final String zeitpunkt;

  public NiederschriftenKorrekturDocument(BaseElectContext baseElectContext, NiederschriftKorrektur niederschriftenKorrektur) {
    super();

    this.beschreibung = niederschriftenKorrektur.getBeschreibung();
    this.erfasser = niederschriftenKorrektur.getErfasser();
    this.art = baseElectContext.getMessage(niederschriftenKorrektur.getNiederschriftKorrekturArt());
    this.isRechnerischeKorrektur = niederschriftenKorrektur.getNiederschriftKorrekturArt().isRechnerischeKorrektur();
    this.isNachzaehlung = niederschriftenKorrektur.getNiederschriftKorrekturArt().isNachzaehlung();
    this.zeitpunkt = baseElectContext.formatDateTimeMedium(niederschriftenKorrektur.getZeitstempel());
  }
}
